## visad.data.netcdf.in
Class MaxFileFieldStrategy

    java.lang.Object
      visad.data.netcdf.in.Strategy
          visad.data.netcdf.in.FileStrategy
              visad.data.netcdf.in.MaxFileFieldStrategy

public class MaxFileFieldStrategy
extends FileStrategy

Provides support for importing netCDF datasets using the strategy of employing FileFlatField-s wherever possible and not merging them so as to keep the number of FileFlatField-s to a maximum.

Instances are immutable.

Field Summary

Fields inherited from class visad.data.netcdf.in.Strategy
`DEFAULT, IN_MEMORY, MERGED_FILE_FLAT_FIELDS, UNMERGED_FILE_FLAT_FIELDS`

Constructor Summary
`protected` `MaxFileFieldStrategy()` Constructs from nothing.

Method Summary
`protected Merger` `getMerger()` Returns the Merger for cosolidating virtual data objects together.
`static Strategy` `instance()` Returns an instance of this class.

Methods inherited from class visad.data.netcdf.in.FileStrategy
`getData, main`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MaxFileFieldStrategy

    protected MaxFileFieldStrategy()

  Constructs from nothing. Protected to ensure use of `instance()` method.

See Also:
  `instance()`

Method Detail

### instance

    public static Strategy instance()

  Returns an instance of this class.

  Returns:
    An instance of this class.

### getMerger

    protected Merger getMerger()

  Returns the Merger for cosolidating virtual data objects together. The Merger returned by this method is that returned by `FlatMerger.instance()` -- which doesn't merge FlatFields together.

  Overrides:
    `getMerger` in class `FileStrategy`
  Returns:
    The Merger for cosolidating virtual data objects together.
  See Also:
    `Merger`